diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-activate.php /home/packages/code/qi/SOURCES/wordpress-3.6/wp-activate.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-activate.php	2012-11-17 09:11:29.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-activate.php	2013-01-21 13:23:06.000000000 -0600
***************
*** 6,12 ****
   * @package WordPress
   */
  
- /** Define ABSPATH as this file's directory */
  define( 'WP_INSTALLING', true );
  
  /** Sets up the WordPress Environment. */
--- 6,11 ----
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/about.php /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/about.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/about.php	2013-06-21 12:26:11.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/about.php	2013-08-01 11:17:03.000000000 -0500
***************
*** 19,25 ****
  
  <h1><?php printf( __( 'Welcome to WordPress %s' ), $display_version ); ?></h1>
  
! <div class="about-text"><?php printf( __( 'Thank you for updating to the latest version! WordPress %s is more polished and enjoyable than ever before. We hope you like it.' ), $display_version ); ?></div>
  
  <div class="wp-badge"><?php printf( __( 'Version %s' ), $display_version ); ?></div>
  
--- 19,25 ----
  
  <h1><?php printf( __( 'Welcome to WordPress %s' ), $display_version ); ?></h1>
  
! <div class="about-text"><?php printf( __( 'Thank you for updating to the latest version. WordPress %s makes your writing experience even better.' ), $display_version ); ?></div>
  
  <div class="wp-badge"><?php printf( __( 'Version %s' ), $display_version ); ?></div>
  
***************
*** 33,99 ****
  	</a>
  </h2>
  
- <div class="changelog point-releases">
- 	<h3><?php echo _n( 'Maintenance and Security Release', 'Maintenance and Security Releases', 2 ); ?></h3>
- 	<p><?php printf( _n( '<strong>Version %1$s</strong> addressed some security issues and fixed %2$s bug.',
-          '<strong>Version %1$s</strong> addressed some security issues and fixed %2$s bugs.', 12 ), '3.5.2', number_format_i18n( 12 ) ); ?>
- 		<?php printf( __( 'For more information, see <a href="%s">the release notes</a>.' ), 'http://codex.wordpress.org/Version_3.5.2' ); ?>
-  	</p>
- 	<p><?php printf( _n( '<strong>Version %1$s</strong> addressed some security issues and fixed %2$s bug.',
-          '<strong>Version %1$s</strong> addressed some security issues and fixed %2$s bugs.', 37 ), '3.5.1', number_format_i18n( 37 ) ); ?>
- 		<?php printf( __( 'For more information, see <a href="%s">the release notes</a>.' ), 'http://codex.wordpress.org/Version_3.5.1' ); ?>
-  	</p>
- </div>
- 
  <div class="changelog">
! 	<h3><?php _e( 'New Media Manager' ); ?></h3>
  
! 	<div class="feature-section col two-col">
! 		<img alt="" src="<?php echo esc_url( admin_url( 'images/screenshots/about-media.png' ) ); ?>" class="image-100" />
! 
! 		<div>
! 			<h4><?php _e( 'Beautiful Interface' ); ?></h4>
! 			<p><?php _e( 'Adding media has been streamlined with an all-new experience, making it a breeze to upload files and place them into your posts.' ); ?></p>
! 		</div>
! 		<div class="last-feature">
! 			<h4><?php _e( 'Picturesque Galleries' ); ?></h4>
! 			<p><?php _e( 'Creating image galleries is faster with drag and drop reordering, inline caption editing, and simplified controls for layout.' ); ?></p>
! 		</div>
  	</div>
  </div>
  
  <div class="changelog">
! 	<h3><?php _e( 'New Default Theme' ); ?></h3>
  
  	<div class="feature-section images-stagger-right">
! 		<img alt="" src="<?php echo esc_url( admin_url( 'images/screenshots/about-twenty-twelve.png' ) ); ?>" class="image-66" />
! 		<h4><?php _e( 'Introducing Twenty Twelve' ); ?></h4>
! 		<p><?php _e( 'The newest default theme for WordPress is simple, flexible, and elegant.' ); ?></p>
! 		<p><?php _e( 'What makes it really shine are the design details, like the gorgeous Open Sans typeface and a fully responsive design that looks great on any device.' ); ?></p>
! 		<p><?php _e( 'Naturally, Twenty Twelve supports all the theme features you’ve come to know and love, but it is also designed to be as great for a website as it is for a blog.' ); ?></p>
  	</div>
- </div>
  
! <div class="changelog">
! 	<h3><?php _e( 'Retina Ready' ); ?></h3>
! 
! 	<div class="feature-section images-stagger-right">
! 		<img alt="" src="<?php echo esc_url( admin_url( 'images/screenshots/about-retina.png' ) ); ?>" class="image-66" />
! 		<h4><?php _e( 'So Sharp You Can&#8217;t See the Pixels' ); ?></h4>
! 		<p><?php _e( 'The WordPress dashboard now looks beautiful on high-resolution screens like those found on the iPad, Kindle Fire HD, Nexus 10, and MacBook Pro with Retina Display. Icons and other visual elements are crystal clear and full of detail.' ); ?></p>
  	</div>
  </div>
  
  <div class="changelog">
! 	<h3><?php _e( 'Smoother Experience' ); ?></h3>
  
  	<div class="feature-section images-stagger-right">
! 		<img alt="" src="<?php echo esc_url( admin_url( 'images/screenshots/about-color-picker.png' ) ); ?>" class="image-30" />
! 		<h4><?php _e( 'Better Accessibility' ); ?></h4>
! 		<p><?php _e( 'WordPress supports more usage modes than ever before. Screenreaders, touch devices, and mouseless workflows all have improved ease of use and accessibility.' ); ?></p>
! 
! 		<h4><?php _e( 'More Polish' ); ?></h4>
! 		<p><?php _e( 'A number of screens and controls have been refined. For example, a new color picker makes it easier for you to choose that perfect shade of blue.' ); ?></p>
  	</div>
  </div>
  
--- 33,98 ----
  	</a>
  </h2>
  
  <div class="changelog">
! 	<h3><?php _e( 'Colorful New Theme' ); ?></h3>
  
! 	<div class="feature-section images-stagger-right">
! 		<img alt="" src="<?php echo is_ssl() ? 'https://' : '//s.'; ?>wordpress.org/images/core/3.6/twentythirteen.png" class="image-66" />
! 		<h4><?php _e( 'Introducing Twenty Thirteen' ); ?></h4>
! 		<p><?php printf( __( "The new default theme puts focus on your content with a colorful, single-column design made for media-rich blogging." ) ); ?></p>
! 		<p><?php _e( 'Inspired by modern art, Twenty Thirteen features quirky details, beautiful typography, and bold, high-contrast colors &mdash; all with a flexible layout that looks great on any device, big or small.' ); ?></p>
  	</div>
  </div>
  
  <div class="changelog">
! 	<h3><?php _e( 'Write with Confidence' ); ?></h3>
  
  	<div class="feature-section images-stagger-right">
! 		<img alt="" src="<?php echo is_ssl() ? 'https://' : '//s.'; ?>wordpress.org/images/core/3.6/revisions.png" class="image-66" />
! 		<h4><?php _e( 'Explore Revisions' ); ?></h4>
! 		<p></p>
! 		<p><?php _e( 'From the first word you write, WordPress saves every change. Each revision is always at your fingertips. Text is highlighted as you scroll through revisions at lightning speed, so you can see what changes have been made along the way.' ); ?></p>
! 		<p><?php _e( 'It&#8217;s easy to compare two revisions from any point in time, and to restore a revision and go back to writing. Now you can be confident that no mistake is permanent.' ); ?></p>
  	</div>
  
! 	<div class="feature-section col two-col">
! 		<div>
! 			<h4><?php _e( 'Improved Autosaves' ); ?></h4>
! 			<p><?php _e( 'Never lose a word you&#8217;ve written. Autosaving is now even better; whether your power goes out, your browser crashes, or you lose your internet connection, your content is safe.' ); ?></p>
! 		</div>
! 		<div class="last-feature">
! 			<h4><?php _e( 'Better Post Locking' ); ?></h4>
! 			<p><?php _e( 'Always know who&#8217;s editing with live updates that appear in the list of posts. And if someone leaves for lunch with a post open, you can take over where they left off.' ); ?></p>
! 		</div>
  	</div>
  </div>
  
  <div class="changelog">
! 	<h3><?php _e( 'Support for Audio and Video' ); ?></h3>
  
  	<div class="feature-section images-stagger-right">
! 		<div class="video image-66"><?php
! 			$sample_video = ( is_ssl() ? 'https://' : 'http://s.' ) . 'wordpress.org/images/core/3.6/sample-video';
! 			$args = array(
! 				'mp4' => "$sample_video.mp4",
! 				'ogv' => "$sample_video.ogv",
! 				'width' => 625,
! 				'height' => 360,
! 			);
! 			// Opera 12 (Presto, pre-Chromium) fails to load ogv properly
! 			// when combined with ME.js. Works fine in Opera 15.
! 			// Don't serve ogv to Opera 12 to avoid complete brokeness.
! 			if ( $GLOBALS['is_opera'] )
! 				unset( $args['ogv'] );
! 			// Our current ME.js API is limited to shortcodes in posts.
! 			echo wp_video_shortcode( $args );
! 		?></div>
! 		<h4><?php _e( 'New Media Player' ); ?></h4>
! 		<p><?php _e( 'Share your audio and video with the new built-in HTML5 media player. Upload files using the media manager and embed them in your posts.' ); ?></p>
! 
! 		<h4><?php _e( 'Embed Music from Spotify, Rdio, and SoundCloud' ); ?></h4>
! 		<p><?php _e( 'Embed songs and albums from your favorite artists, or playlists you&#8217;ve mixed yourself. It&#8217;s as simple as pasting a URL into a post on its own line.' ); ?></p>
! 		<p><?php printf( __( '(Love another service? Check out all of the <a href="%s">embeds</a> that WordPress supports.)' ), 'http://codex.wordpress.org/Embeds' ); ?></p>
  	</div>
  </div>
  
***************
*** 102,132 ****
  
  	<div class="feature-section col three-col">
  		<div>
! 			<h4><?php _e( 'Meta Query Additions' ); ?></h4>
! 			<p><?php _e( 'The <code>WP_Comment_Query</code> and <code>WP_User_Query</code> classes now support meta queries just like <code>WP_Query.</code> Meta queries now support querying for objects without a particular meta key.' ); ?></p>
  		</div>
  		<div>
! 			<h4><?php _e( 'Post Objects' ); ?></h4>
! 			<p><?php _e( 'Post objects are now instances of a <code>WP_Post</code> class, which improves performance by loading selected properties on demand.' ); ?></p>
  		</div>
  		<div class="last-feature">
! 			<h4><?php _e( 'Image Editing API' ); ?></h4>
! 			<p><?php _e( 'The <code>WP_Image_Editor</code> class abstracts image editing functionality such as cropping and scaling, and uses ImageMagick when available.' ); ?></p>
  		</div>
  	</div>
  
  	<div class="feature-section col three-col">
  		<div>
! 			<h4><?php _e( 'Multisite Improvements' ); ?></h4>
! 			<p><?php _e( '<code>switch_to_blog()</code> is now significantly faster and more reliable.' ); ?></p>
  		</div>
  		<div>
! 			<h4><?php _e( 'XML-RPC API' ); ?></h4>
! 			<p><?php printf( __( 'The <a href="%s">WordPress API</a> is now always enabled, and supports fetching users, editing profiles, managing post revisions, and searching posts.' ), __( 'http://codex.wordpress.org/XML-RPC_WordPress_API' ) ); ?></p>
  		</div>
  		<div class="last-feature">
  			<h4><?php _e( 'External Libraries' ); ?></h4>
! 			<p><?php printf( __( 'WordPress now includes the <a href="%1$s">Underscore</a> and <a href="%2$s">Backbone</a> JavaScript libraries. TinyMCE, jQuery, jQuery UI, and SimplePie have all been updated to the latest versions.' ), 'http://underscorejs.org/', 'http://backbonejs.org/' ); ?></p>
  		</div>
  	</div>
  </div>
--- 101,133 ----
  
  	<div class="feature-section col three-col">
  		<div>
! 			<h4><?php _e( 'Audio/Video API' ); ?></h4>
! 			<p><?php _e( 'The new audio/video APIs give developers access to powerful media metadata, like ID3 tags.' ); ?></p>
  		</div>
  		<div>
! 			<h4><?php _e( 'Semantic Markup' ); ?></h4>
! 			<p><?php _e( 'Themes can now choose improved HTML5 markup for comment forms, search forms, and comment lists.' ); ?></p>
  		</div>
  		<div class="last-feature">
! 			<h4><?php _e( 'JavaScript Utilities' ); ?></h4>
! 			<p><?php _e( 'Handy JavaScript utilities ease common tasks like Ajax requests, templating, and Backbone view management.' ); ?></p>
  		</div>
  	</div>
  
  	<div class="feature-section col three-col">
  		<div>
! 			<h4><?php _e( 'Shortcode Improvements' ); ?></h4>
! 			<p><?php _e( 'Search content for shortcodes with <code>has_shortcode()</code> and adjust shortcode attributes with a new filter.' ); ?></p>
  		</div>
  		<div>
! 			<h4><?php _e( 'Revision Control' ); ?></h4>
! 			<p><?php _e( 'Fine-grained revision controls allow you to keep a different number of revisions for each post type.' ); ?></p>
  		</div>
  		<div class="last-feature">
  			<h4><?php _e( 'External Libraries' ); ?></h4>
! 			<p><?php
! 				/* translators: placeholders 2, 3 and 4 are version numbers */
! 				printf( __( 'New and updated libraries: <a href="%1$s">MediaElement.js</a>, jQuery %2$s, jQuery UI %3$s, jQuery Migrate, Backbone %4$s.' ), 'http://mediaelementjs.com/', '1.10.2', '1.10.3', '1.0' ); ?></p>
  		</div>
  	</div>
  </div>
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/admin-ajax.php /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/admin-ajax.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/admin-ajax.php	2012-12-02 10:06:31.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/admin-ajax.php	2013-06-26 16:06:50.000000000 -0500
***************
*** 56,62 ****
  	'save-widget', 'set-post-thumbnail', 'date_format', 'time_format', 'wp-fullscreen-save-post',
  	'wp-remove-post-lock', 'dismiss-wp-pointer', 'upload-attachment', 'get-attachment',
  	'query-attachments', 'save-attachment', 'save-attachment-compat', 'send-link-to-editor',
! 	'send-attachment-to-editor', 'save-attachment-order',
  );
  
  // Register core Ajax calls.
--- 56,62 ----
  	'save-widget', 'set-post-thumbnail', 'date_format', 'time_format', 'wp-fullscreen-save-post',
  	'wp-remove-post-lock', 'dismiss-wp-pointer', 'upload-attachment', 'get-attachment',
  	'query-attachments', 'save-attachment', 'save-attachment-compat', 'send-link-to-editor',
! 	'send-attachment-to-editor', 'save-attachment-order', 'heartbeat', 'get-revision-diffs',
  );
  
  // Register core Ajax calls.
***************
*** 66,72 ****
  if ( ! empty( $_POST['action'] ) && in_array( $_POST['action'], $core_actions_post ) )
  	add_action( 'wp_ajax_' . $_POST['action'], 'wp_ajax_' . str_replace( '-', '_', $_POST['action'] ), 1 );
  
! add_action( 'wp_ajax_nopriv_autosave', 'wp_ajax_nopriv_autosave', 1 );
  
  if ( is_user_logged_in() )
  	do_action( 'wp_ajax_' . $_REQUEST['action'] ); // Authenticated actions
--- 66,72 ----
  if ( ! empty( $_POST['action'] ) && in_array( $_POST['action'], $core_actions_post ) )
  	add_action( 'wp_ajax_' . $_POST['action'], 'wp_ajax_' . str_replace( '-', '_', $_POST['action'] ), 1 );
  
! add_action( 'wp_ajax_nopriv_heartbeat', 'wp_ajax_nopriv_heartbeat', 1 );
  
  if ( is_user_logged_in() )
  	do_action( 'wp_ajax_' . $_REQUEST['action'] ); // Authenticated actions
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/admin-header.php /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/admin-header.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/admin-header.php	2012-12-04 13:29:56.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/admin-header.php	2013-07-12 17:11:42.000000000 -0500
***************
*** 98,106 ****
  </script>
  
  <?php
! // If the customize-loader script is enqueued, make sure the customize
! // body classes are correct as early as possible.
! if ( wp_script_is( 'customize-loader', 'queue' ) && current_user_can( 'edit_theme_options' ) )
  	wp_customize_support_script();
  ?>
  
--- 98,105 ----
  </script>
  
  <?php
! // Make sure the customize body classes are correct as early as possible.
! if ( current_user_can( 'edit_theme_options' ) )
  	wp_customize_support_script();
  ?>
  
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/admin.php /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/admin.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/admin.php	2012-09-18 20:51:40.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/admin.php	2013-03-01 11:00:25.000000000 -0600
***************
*** 43,49 ****
  	do_action('after_db_upgrade');
  } elseif ( get_option('db_version') != $wp_db_version && empty($_POST) ) {
  	if ( !is_multisite() ) {
! 		wp_redirect(admin_url('upgrade.php?_wp_http_referer=' . urlencode(stripslashes($_SERVER['REQUEST_URI']))));
  		exit;
  	} elseif ( apply_filters( 'do_mu_upgrade', true ) ) {
  		/**
--- 43,49 ----
  	do_action('after_db_upgrade');
  } elseif ( get_option('db_version') != $wp_db_version && empty($_POST) ) {
  	if ( !is_multisite() ) {
! 		wp_redirect( admin_url( 'upgrade.php?_wp_http_referer=' . urlencode( wp_unslash( $_SERVER['REQUEST_URI'] ) ) ) );
  		exit;
  	} elseif ( apply_filters( 'do_mu_upgrade', true ) ) {
  		/**
***************
*** 77,90 ****
  $date_format = get_option('date_format');
  $time_format = get_option('time_format');
  
- wp_reset_vars(array('profile', 'redirect', 'redirect_url', 'a', 'text', 'trackback', 'pingback'));
- 
  wp_enqueue_script( 'common' );
  
  $editing = false;
  
  if ( isset($_GET['page']) ) {
! 	$plugin_page = stripslashes($_GET['page']);
  	$plugin_page = plugin_basename($plugin_page);
  }
  
--- 77,88 ----
  $date_format = get_option('date_format');
  $time_format = get_option('time_format');
  
  wp_enqueue_script( 'common' );
  
  $editing = false;
  
  if ( isset($_GET['page']) ) {
! 	$plugin_page = wp_unslash( $_GET['page'] );
  	$plugin_page = plugin_basename($plugin_page);
  }
  
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/async-upload.php /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/async-upload.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/async-upload.php	2012-11-28 20:39:34.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/async-upload.php	2013-07-08 15:05:42.000000000 -0500
***************
*** 47,54 ****
  	$post = get_post( $id );
  	if ( 'attachment' != $post->post_type )
  		wp_die( __( 'Unknown post type.' ) );
! 	$post_type_object = get_post_type_object( 'attachment' );
! 	if ( ! current_user_can( $post_type_object->cap->edit_post, $id ) )
  		wp_die( __( 'You are not allowed to edit this item.' ) );
  
  	switch ( $_REQUEST['fetch'] ) {
--- 47,53 ----
  	$post = get_post( $id );
  	if ( 'attachment' != $post->post_type )
  		wp_die( __( 'Unknown post type.' ) );
! 	if ( ! current_user_can( 'edit_post', $id ) )
  		wp_die( __( 'You are not allowed to edit this item.' ) );
  
  	switch ( $_REQUEST['fetch'] ) {
***************
*** 57,63 ****
  				echo '<img class="pinkynail" src="' . esc_url( $thumb_url[0] ) . '" alt="" />';
  			echo '<a class="edit-attachment" href="' . esc_url( get_edit_post_link( $id ) ) . '" target="_blank">' . _x( 'Edit', 'media item' ) . '</a>';
  			$title = $post->post_title ? $post->post_title : wp_basename( $post->guid ); // title shouldn't ever be empty, but use filename just in cas.e
! 			echo '<div class="filename new"><span class="title">' . esc_html( wp_html_excerpt( $title, 60 ) ) . '</span></div>';
  			break;
  		case 2 :
  			add_filter('attachment_fields_to_edit', 'media_single_attachment_fields_to_edit', 10, 2);
--- 56,62 ----
  				echo '<img class="pinkynail" src="' . esc_url( $thumb_url[0] ) . '" alt="" />';
  			echo '<a class="edit-attachment" href="' . esc_url( get_edit_post_link( $id ) ) . '" target="_blank">' . _x( 'Edit', 'media item' ) . '</a>';
  			$title = $post->post_title ? $post->post_title : wp_basename( $post->guid ); // title shouldn't ever be empty, but use filename just in cas.e
! 			echo '<div class="filename new"><span class="title">' . esc_html( wp_html_excerpt( $title, 60, '&hellip;' ) ) . '</span></div>';
  			break;
  		case 2 :
  			add_filter('attachment_fields_to_edit', 'media_single_attachment_fields_to_edit', 10, 2);
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/credits.php /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/credits.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/credits.php	2012-11-28 15:00:09.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/credits.php	2013-07-31 01:05:34.000000000 -0500
***************
*** 52,58 ****
  
  <h1><?php printf( __( 'Welcome to WordPress %s' ), $display_version ); ?></h1>
  
! <div class="about-text"><?php printf( __( 'Thank you for updating to the latest version! WordPress %s is more polished and enjoyable than ever before. We hope you like it.' ), $display_version ); ?></div>
  
  <div class="wp-badge"><?php printf( __( 'Version %s' ), $display_version ); ?></div>
  
--- 52,58 ----
  
  <h1><?php printf( __( 'Welcome to WordPress %s' ), $display_version ); ?></h1>
  
! <div class="about-text"><?php printf( __( 'Thank you for updating to the latest version. WordPress %s makes your writing experience even better.' ), $display_version ); ?></div>
  
  <div class="wp-badge"><?php printf( __( 'Version %s' ), $display_version ); ?></div>
  
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/custom-background.php /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/custom-background.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/custom-background.php	2012-11-22 02:45:15.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/custom-background.php	2013-07-09 23:42:03.000000000 -0500
***************
*** 203,218 ****
  	$background_styles .= 'background-color: #' . $bgcolor . ';';
  
  if ( get_background_image() ) {
  	// background-image URL must be single quote, see below
! 	$background_styles .= ' background-image: url(\'' . set_url_scheme( get_theme_mod( 'background_image_thumb', get_background_image() ) ) . '\');'
  		. ' background-repeat: ' . get_theme_mod('background_repeat', 'repeat') . ';'
  		. ' background-position: top ' . get_theme_mod('background_position_x', 'left');
  }
  ?>
  <div id="custom-background-image" style="<?php echo $background_styles; ?>"><?php // must be double quote, see above ?>
  <?php if ( get_background_image() ) { ?>
! <img class="custom-background-image" src="<?php echo set_url_scheme( get_theme_mod( 'background_image_thumb', get_background_image() ) ); ?>" style="visibility:hidden;" alt="" /><br />
! <img class="custom-background-image" src="<?php echo set_url_scheme( get_theme_mod( 'background_image_thumb', get_background_image() ) ); ?>" style="visibility:hidden;" alt="" />
  <?php } ?>
  </div>
  <?php } ?>
--- 203,219 ----
  	$background_styles .= 'background-color: #' . $bgcolor . ';';
  
  if ( get_background_image() ) {
+ 	$background_image_thumb = esc_url( set_url_scheme( get_theme_mod( 'background_image_thumb', str_replace( '%', '%%', get_background_image() ) ) ) );
  	// background-image URL must be single quote, see below
! 	$background_styles .= ' background-image: url(\'' . $background_image_thumb . '\');'
  		. ' background-repeat: ' . get_theme_mod('background_repeat', 'repeat') . ';'
  		. ' background-position: top ' . get_theme_mod('background_position_x', 'left');
  }
  ?>
  <div id="custom-background-image" style="<?php echo $background_styles; ?>"><?php // must be double quote, see above ?>
  <?php if ( get_background_image() ) { ?>
! <img class="custom-background-image" src="<?php echo $background_image_thumb; ?>" style="visibility:hidden;" alt="" /><br />
! <img class="custom-background-image" src="<?php echo $background_image_thumb; ?>" style="visibility:hidden;" alt="" />
  <?php } ?>
  </div>
  <?php } ?>
***************
*** 301,307 ****
  </tr>
  
  <tr valign="top">
! <th scope="row"><?php _e( 'Attachment' ); ?></th>
  <td><fieldset><legend class="screen-reader-text"><span><?php _e( 'Background Attachment' ); ?></span></legend>
  <label>
  <input name="background-attachment" type="radio" value="scroll" <?php checked('scroll', get_theme_mod('background_attachment', 'scroll')); ?> />
--- 302,308 ----
  </tr>
  
  <tr valign="top">
! <th scope="row"><?php _ex( 'Attachment', 'Background Attachment' ); ?></th>
  <td><fieldset><legend class="screen-reader-text"><span><?php _e( 'Background Attachment' ); ?></span></legend>
  <label>
  <input name="background-attachment" type="radio" value="scroll" <?php checked('scroll', get_theme_mod('background_attachment', 'scroll')); ?> />
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/custom-header.php /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/custom-header.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/custom-header.php	2012-11-22 02:45:15.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/custom-header.php	2013-03-29 15:51:35.000000000 -0500
***************
*** 663,670 ****
  			list( $width, $height, $type, $attr ) = getimagesize( $file );
  		} else {
  			$data = wp_get_attachment_metadata( $attachment_id );
! 			$height = $data[ 'height' ];
! 			$width = $data[ 'width' ];
  			unset( $data );
  		}
  
--- 663,670 ----
  			list( $width, $height, $type, $attr ) = getimagesize( $file );
  		} else {
  			$data = wp_get_attachment_metadata( $attachment_id );
! 			$height = isset( $data[ 'height' ] ) ? $data[ 'height' ] : 0;
! 			$width = isset( $data[ 'width' ] ) ? $data[ 'width' ] : 0;
  			unset( $data );
  		}
  
***************
*** 1001,1006 ****
--- 1001,1007 ----
  
  		$default = sprintf( $default, get_template_directory_uri(), get_stylesheet_directory_uri() );
  
+ 		$default_data = array();
  		foreach ( $this->default_headers as $header => $details ) {
  			if ( $details['url'] == $default ) {
  				$default_data = $details;
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/customize.php /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/customize.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/customize.php	2012-11-30 07:40:59.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/customize.php	2013-07-18 12:42:53.000000000 -0500
***************
*** 36,41 ****
--- 36,43 ----
  wp_enqueue_script( 'customize-controls' );
  wp_enqueue_style( 'customize-controls' );
  
+ wp_enqueue_script( 'accordion' );
+ 
  do_action( 'customize_controls_enqueue_scripts' );
  
  // Let's roll.
***************
*** 44,50 ****
  wp_user_settings();
  _wp_admin_html_begin();
  
! $body_class = 'wp-core-ui';
  
  if ( wp_is_mobile() ) :
  	$body_class .= ' mobile';
--- 46,52 ----
  wp_user_settings();
  _wp_admin_html_begin();
  
! $body_class = 'wp-core-ui js';
  
  if ( wp_is_mobile() ) :
  	$body_class .= ' mobile';
***************
*** 88,103 ****
  			$cannot_expand = ! ( $screenshot || $wp_customize->theme()->get('Description') );
  		?>
  
! 		<div class="wp-full-overlay-sidebar-content" tabindex="-1">
! 			<div id="customize-info" class="customize-section<?php if ( $cannot_expand ) echo ' cannot-expand'; ?>">
! 				<div class="customize-section-title" aria-label="<?php esc_attr_e( 'Theme Customizer Options' ); ?>" tabindex="0">
  					<span class="preview-notice"><?php
  						/* translators: %s is the theme name in the Customize/Live Preview pane */
  						echo sprintf( __( 'You are previewing %s' ), '<strong class="theme-name">' . $wp_customize->theme()->display('Name') . '</strong>' );
  					?></span>
  				</div>
  				<?php if ( ! $cannot_expand ) : ?>
! 				<div class="customize-section-content">
  					<?php if ( $screenshot ) : ?>
  						<img class="theme-screenshot" src="<?php echo esc_url( $screenshot ); ?>" />
  					<?php endif; ?>
--- 90,105 ----
  			$cannot_expand = ! ( $screenshot || $wp_customize->theme()->get('Description') );
  		?>
  
! 		<div class="wp-full-overlay-sidebar-content accordion-container" tabindex="-1">
! 			<div id="customize-info" class="accordion-section <?php if ( $cannot_expand ) echo ' cannot-expand'; ?>">
! 				<div class="accordion-section-title" aria-label="<?php esc_attr_e( 'Theme Customizer Options' ); ?>" tabindex="0">
  					<span class="preview-notice"><?php
  						/* translators: %s is the theme name in the Customize/Live Preview pane */
  						echo sprintf( __( 'You are previewing %s' ), '<strong class="theme-name">' . $wp_customize->theme()->display('Name') . '</strong>' );
  					?></span>
  				</div>
  				<?php if ( ! $cannot_expand ) : ?>
! 				<div class="accordion-section-content">
  					<?php if ( $screenshot ) : ?>
  						<img class="theme-screenshot" src="<?php echo esc_url( $screenshot ); ?>" />
  					<?php endif; ?>
